<?php
/*------------------------------------------------------------------------
# mod_vtem_mp3 - VTEM MP3 Module
# ------------------------------------------------------------------------
# author Nguyen Van Tuyen
# copyright Copyright (C) 2010 VTEM.NET. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vtem.net
# Technical Support: Forum - http://vtem.net/en/forum.html
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); 
///////////////////////////////////////////////////////////////////////////
$comma = '';
?>
<script type="text/javascript" src="<?php echo JURI::root();?>modules/mod_vtem_mp3/js/jquery.jplayer.min.js"></script>
<script type="text/javascript" src="<?php echo JURI::root();?>modules/mod_vtem_mp3/js/jplayer.playlist.min.js"></script>
<script type="text/javascript">
jQuery(document).ready(function(){
	var vtemplaylist<?php echo $mp3ID;?> = new jPlayerPlaylist({
		jPlayer: "#vtemmp3_<?php echo $mp3ID;?>",
		cssSelectorAncestor: "#vtemmp3_container_<?php echo $mp3ID;?>"
	},[
		<?php 
	    for($i = 0; $i < count(explode(";",$url_links)); $i++) :
			  if($i > 0) $comma =",";
			  $vttitles = explode(";",$url_titles);
			  $vttitle = (isset($vttitles[$i])) ? $vttitles[$i] : '';
			  $vtartistnames = explode(";",$artistname);
			  $vtartistname = (isset($vtartistnames[$i])) ? $vtartistnames[$i] : '';
			  $vtlinks = explode(";",$url_links);
			  $vtlink = (isset($vtlinks[$i])) ? $vtlinks[$i] : '';
			  echo $comma.'{title:"'.$vttitle.'", mp3:"'.$vtlink.'", artist:"'.$vtartistname.'"}';
		 endfor;
		 ?>
	], {
	    playlistOptions: {
		    autoPlay: <?php echo $autoplay;?>,
			defaultItem: <?php echo $defaultitem -1;?>,
			byText:"-"
		},
		swfPath: "<?php echo JURI::root();?>modules/mod_vtem_mp3/js/",
		supplied: "mp3, m4a",
		muted:<?php echo $muted;?>,
		volume: <?php echo $volume;?>,
		loop: <?php echo $loop;?>
	});
});
</script>
<style type="text/css">
#vtemmp3_container_<?php echo $mp3ID;?>.vtem-audio{width:<?php echo $width;?>;}
<?php if($height == 0){echo '#vtemmpl3list'.$mp3ID.'{height:auto;}';
}else{?>
#vtemmpl3list<?php echo $mp3ID;?>{height:<?php echo $height;?>px; overflow:auto; overflow-x:hidden;}
<?php }
echo $css;?>
<?php if($list == 0){echo "#vtemmpl3list".$mp3ID."{display:none !important;}";}?>
</style>
<div class="vtemmp3_wapper vtmp3_<?php echo $style;?> vtemmp3<?php echo $params->get('moduleclass_sfx');?>" style="width:<?php echo $width;?>;">
  <?php if($modlayout == 2){?>
	 <div id="vtemmp3_<?php echo $mp3ID;?>" class="vtem-jplayer"></div>
	  <div id="vtemmp3_container_<?php echo $mp3ID;?>" class="vtem-audio">
		<div class="vtem-type-playlist">
		  <div id="vtem_interface_<?php echo $mp3ID;?>" class="vtem-interface">
			<ul class="vtem-controls">
			  <li><a href="javascript:;" class="jp-previous vtem-previous" tabindex="1">previous</a></li>
			  <li><a href="javascript:;" class="jp-play vtem-play" tabindex="1">play</a></li>
			  <li><a href="javascript:;" class="jp-pause vtem-pause" tabindex="1">pause</a></li>
			  <li><a href="javascript:;" class="jp-next vtem-next" tabindex="1">next</a></li>
			  <li><a href="javascript:;" class="jp-mute vtem-mute" tabindex="1">mute</a></li>
			  <li><a href="javascript:;" class="jp-unmute vtem-unmute" tabindex="1">unmute</a></li>
			</ul>
			<div class="jp-volume-bar vtem-volume-bar">
			  <div class="jp-volume-bar-value vtem-volume-bar-value"></div>
			</div>
			<div class="jp-progress vtem-progress">
					<div class="jp-seek-bar vtem-seek-bar">
						<div class="jp-play-bar vtem-play-bar"></div>
					</div>
			</div>
			<div class="jp-time-holder">
			  <div class="jp-current-time vtem-current-time"></div>
			  <div class="jp-duration vtem-duration"></div>
			</div>
		  </div>
		  <div id="vtemmpl3list<?php echo $mp3ID;?>" class="vtem-playlist jp-playlist">
				 <ul><li>Show list</li></ul>
		  </div>
	  </div>
	 </div>
     <div class="vtem-audio vtem-popup">
	  <a href="#" onClick="window.open('<?php echo JURI::root();?>modules/mod_vtem_mp3/popup.php?mp3ID=<?php echo $mp3ID;?>&amp;style=<?php echo $style;?>&amp;width=<?php echo $width;?>&amp;height=<?php echo $height;?>&amp;list=<?php echo $list;?>&amp;autoplay=<?php echo $autoplay;?>&amp;muted=<?php echo $muted;?>&amp;loop=<?php echo $loop;?>&amp;volume=<?php echo $volume;?>&amp;css=<?php echo $css;?>&amp;defaultitem=<?php echo $defaultitem;?>&amp;mp3name=<?php echo str_replace("&", "VTEMAND",str_replace("'", "VTEMCOMMA",str_replace(",", "",$url_titles)));?>&amp;mp3link=<?php echo str_replace("&", "VTEMAND",str_replace("'", "VTEMCOMMA",str_replace(",", "",$url_links)));?>&amp;artist=<?php echo str_replace("&", "VTEMAND",str_replace("'", "VTEMCOMMA",str_replace(",", "",$artistname)));?>','VTEM MP3 Player<?php echo $mp3ID;?>','toolbar=no,location=no,directories=no,status=no, menubar=no,scrollbars=no,resizable=no,width=<?php echo $width+36;?>,height=300'); return false;"><span><?php echo JText::_('Popup mp3 player');?></span></a>
	 </div>
  <?php }elseif($modlayout == 1){?>
     <div class="vtem-audio vtem-popup">
	  <a href="#" onClick="window.open('<?php echo JURI::root();?>modules/mod_vtem_mp3/popup.php?mp3ID=<?php echo $mp3ID;?>&amp;style=<?php echo $style;?>&amp;width=<?php echo $width;?>&amp;height=<?php echo $height;?>&amp;list=<?php echo $list;?>&amp;autoplay=<?php echo $autoplay;?>&amp;muted=<?php echo $muted;?>&amp;loop=<?php echo $loop;?>&amp;volume=<?php echo $volume;?>&amp;css=<?php echo $css;?>&amp;defaultitem=<?php echo $defaultitem;?>&amp;mp3name=<?php echo str_replace("&", "VTEMAND",str_replace("'", "VTEMCOMMA",str_replace(",", "",$url_titles)));?>&amp;mp3link=<?php echo str_replace("&", "VTEMAND",str_replace("'", "VTEMCOMMA",str_replace(",", "",$url_links)));?>&amp;artist=<?php echo str_replace("&", "VTEMAND",str_replace("'", "VTEMCOMMA",str_replace(",", "",$artistname)));?>','VTEM MP3 Player<?php echo $mp3ID;?>','toolbar=no,location=no,directories=no,status=no, menubar=no,scrollbars=no,resizable=no,width=<?php echo $width+36;?>,height=300'); return false;"><span><?php echo JText::_('Popup mp3 player');?></span></a>
	 </div>
  <?php }else{?>
     <div id="vtemmp3_<?php echo $mp3ID;?>" class="vtem-jplayer"></div>
	  <div id="vtemmp3_container_<?php echo $mp3ID;?>" class="vtem-audio">
		<div class="vtem-type-playlist">
		  <div id="vtem_interface_<?php echo $mp3ID;?>" class="vtem-interface">
			<ul class="vtem-controls">
			  <li><a href="javascript:;" class="jp-previous vtem-previous" tabindex="1">previous</a></li>
			  <li><a href="javascript:;" class="jp-play vtem-play" tabindex="1">play</a></li>
			  <li><a href="javascript:;" class="jp-pause vtem-pause" tabindex="1">pause</a></li>
			  <li><a href="javascript:;" class="jp-next vtem-next" tabindex="1">next</a></li>
			  <li><a href="javascript:;" class="jp-mute vtem-mute" tabindex="1">mute</a></li>
			  <li><a href="javascript:;" class="jp-unmute vtem-unmute" tabindex="1">unmute</a></li>
			</ul>
			<div class="jp-volume-bar vtem-volume-bar">
			  <div class="jp-volume-bar-value vtem-volume-bar-value"></div>
			</div>
			<div class="jp-progress vtem-progress">
					<div class="jp-seek-bar vtem-seek-bar">
						<div class="jp-play-bar vtem-play-bar"></div>
					</div>
			</div>
			<div class="jp-time-holder">
			  <div class="jp-current-time vtem-current-time"></div>
			  <div class="jp-duration vtem-duration"></div>
			</div>
		  </div>
		  <div id="vtemmpl3list<?php echo $mp3ID;?>" class="vtem-playlist jp-playlist">
				 <ul><li>Show list</li></ul>
		  </div>
	  </div>
	 </div>
   <?php }?>
</div>