<?php
/*------------------------------------------------------------------------
# mod_vtem_mp3 - VTEM MP3 Module
# ------------------------------------------------------------------------
# author Nguyen Van Tuyen
# copyright Copyright (C) 2010 VTEM.NET. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vtem.net
# Technical Support: Forum - http://vtem.net/en/forum.html
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); 
$comma = $semicolon ="";
?>
<script type="text/javascript" src="<?php echo JURI::root();?>modules/mod_vtem_mp3/js/jquery.jplayer.min.js"></script>
<script type="text/javascript" src="<?php echo JURI::root();?>modules/mod_vtem_mp3/js/jplayer.playlist.min.js"></script>
<script type="text/javascript">
jQuery(document).ready(function(){
	var vtemplaylist<?php echo $mp3ID;?> = new jPlayerPlaylist({
		jPlayer: "#vtemmp3_<?php echo $mp3ID;?>",
		cssSelectorAncestor: "#vtemmp3_container_<?php echo $mp3ID;?>"
	},[
		<?php 
	     foreach($dmp3 as $key => $mp3):
		 	  $mp3names = explode(";", $mp3name);
			  $mp3named = (isset($mp3names[$key])) ? $mp3names[$key] : '';
			  $mp3artists = explode(";", $mp3artist);
			  $mp3artistd = (isset($mp3artists[$key])) ? $mp3artists[$key] : '';
			  if($key > 0){$comma =",";$semicolon=";";}
			  echo $comma.'{title:"'.($mp3name ? $mp3named : str_replace('.mp3','',$mp3)).'", mp3:"'.JURI::root().$mp3Path.$mp3.'", artist:"'.($mp3artist ? $mp3artistd : 'Artist-'.($key+1)).'"}';
		 endforeach;
		 ?>
	], {
	    playlistOptions: {
		    autoPlay: <?php echo $autoplay;?>,
			defaultItem: <?php echo $defaultitem -1;?>,
			byText:"-"
		},
		swfPath: "<?php echo JURI::root();?>modules/mod_vtem_mp3/js/",
		supplied: "mp3, m4a",
		muted:<?php echo $muted;?>,
		volume: <?php echo $volume;?>,
		loop: <?php echo $loop;?>
	});
});
</script>
<div class="vtemmp3_wapper vtmp3_<?php echo $style;?> vtemmp3<?php echo $params->get('moduleclass_sfx');?>" style="width:<?php echo $width;?>;">
	<div id="vtemmp3_<?php echo $mp3ID;?>" class="vtem-jplayer"></div>
	<div id="vtemmp3_container_<?php echo $mp3ID;?>" class="vtem-audio">
		<div class="vtem-type-playlist">
		  <div id="vtem_interface_<?php echo $mp3ID;?>" class="vtem-interface">
			<ul class="vtem-controls">
			  <li><a href="javascript:;" class="jp-previous vtem-previous" tabindex="1">previous</a></li>
			  <li><a href="javascript:;" class="jp-play vtem-play" tabindex="1">play</a></li>
			  <li><a href="javascript:;" class="jp-pause vtem-pause" tabindex="1">pause</a></li>
			  <li><a href="javascript:;" class="jp-next vtem-next" tabindex="1">next</a></li>
			  <li><a href="javascript:;" class="jp-mute vtem-mute" tabindex="1">mute</a></li>
			  <li><a href="javascript:;" class="jp-unmute vtem-unmute" tabindex="1">unmute</a></li>
			</ul>
			<div class="jp-volume-bar vtem-volume-bar">
			  <div class="jp-volume-bar-value vtem-volume-bar-value"></div>
			</div>
			<div class="jp-progress vtem-progress">
					<div class="jp-seek-bar vtem-seek-bar">
						<div class="jp-play-bar vtem-play-bar"></div>
					</div>
			</div>
			<div class="jp-time-holder">
			  <div class="jp-current-time vtem-current-time"></div>
			  <div class="jp-duration vtem-duration"></div>
			</div>
		  </div>
		  <div id="vtemmpl3list<?php echo $mp3ID;?>" class="vtem-playlist jp-playlist">
				 <ul><li>Show list</li></ul>
		  </div>
	  </div>
	</div>
</div>