<?php
/*------------------------------------------------------------------------
# mod_vtem_mp3 - VTEM MP3 Module
# ------------------------------------------------------------------------
# author Nguyen Van Tuyen
# copyright Copyright (C) 2010 VTEM.NET. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vtem.net
# Technical Support: Forum - http://vtem.net/en/forum.html
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
$dataSource = $params->get('dataSource', 1);
$mp3ID= 'vtemmp3id'.$module->id;
$style = $params->get( 'style', 'style11' );
$width = $params->get( 'width', '260px' );
$height = $params->get( 'height', 0 );
$modlayout 	= $params->get( 'modlayout', 1 );
$url_titles 	= $params->get( 'url_titles');
$url_links = $params->get('url_links');
$artistname = $params->get('artistname');
$list = $params->get('list', 1);		
$params->get( 'autoplay', 1 ) ? $autoplay ="true" : $autoplay ="false";
$params->get( 'mute', 1) ? $muted ="true" : $muted ="false";
$params->get( 'loop', 1) ? $loop ="true" : $loop ="false";
$volume = $params->get( 'volume', 0.5);
$css = $params->get( 'css');
$script = $params->get('jqueryslideshow', 1);
$defaultitem = $params->get('defaultitem', 1);
$preload = $params->get('preload');

$doc = &JFactory::getDocument();
$doc->addStyleSheet(JURI::root().'modules/mod_vtem_mp3/skin/styles.css');
if($script == 1){
$doc->addScript(JURI::root().'modules/mod_vtem_mp3/js/jquery-1.7.2.min.js');
}

if($dataSource)
	require(JModuleHelper::getLayoutPath('mod_vtem_mp3', 'default'));
else{
	require_once (dirname(__FILE__).'/helper.php'); 
	$mp3Path = modVtemMp3Helper::cleanDir($params->get('mp3Path', 'modules/mod_vtem_mp3/skin/mp3'));
	$sortCriteria = $params->get( 'sortCriteria', 0);
	$sortOrder = $params->get( 'sortOrder', 'asc');
	$sortOrderManual = $params->get( 'sortOrderManual', '');
	$mp3name = $params->get( 'mp3name', '');
	$mp3artist = $params->get( 'mp3artist', '');
	if (trim($sortOrderManual) != "")
		$dmp3 = explode(";", $sortOrderManual);
	else
		$dmp3 = modVtemMp3Helper::mp3List($mp3Path, $sortCriteria, $sortOrder);
	require(JModuleHelper::getLayoutPath('mod_vtem_mp3', 'fdefault'));
}
