<?php
/*------------------------------------------------------------------------
# mod_vtem_mp3 - VTEM MP3 Module
# ------------------------------------------------------------------------
# author Nguyen Van Tuyen
# copyright Copyright (C) 2010 VTEM.NET. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vtem.net
# Technical Support: Forum - http://vtem.net/forum.html
-------------------------------------------------------------------------*/

$mp3ID = $_GET['mp3ID'];
$style = $_GET['style'];
$width = $_GET['width'];
$height = $_GET['height'];
$list = $_GET['list'];		
$autoplay = $_GET['autoplay'];
$muted = $_GET['muted'];
$loop = $_GET['loop'];
$volume = $_GET['volume'];
$css = $_GET['css'];
$defaultitem = $_GET['defaultitem'];
$mp3name = $_GET['mp3name'];
$mp3link = $_GET['mp3link'];
$artist = $_GET['artist'];	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>VTEM MP3 Player</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link type="text/css" href="skin/styles.css" rel="stylesheet" />
<script type="text/javascript" src="js/jquery-1.7.2.min.js"></script>
<script type="text/javascript" src="js/jquery.jplayer.min.js"></script>
<script type="text/javascript" src="js/jplayer.playlist.min.js"></script>
<script type="text/javascript">
jQuery(document).ready(function(){
	var vtemplaylist<?php echo $mp3ID;?> = new jPlayerPlaylist({
		jPlayer: "#vtemmp3_<?php echo $mp3ID;?>",
		cssSelectorAncestor: "#vtemmp3_container_<?php echo $mp3ID;?>"
	},[
		<?php 
		$comma = "";
	    for($i = 0; $i < count(explode(";",$mp3link)); $i++) :
		      $vtnames = explode(";",$mp3name);
			  $vtname = (isset($vtnames[$i])) ? $vtnames[$i] : '';
			  $vtlinks = explode(";",$mp3link);
			  $vtlink = (isset($vtlinks[$i])) ? $vtlinks[$i] : '';
			  $vtartists = explode(";",$artist);
			  $vtartist = (isset($vtartists[$i])) ? $vtartists[$i] : '';
			  if($i > 0) $comma =",";
			  echo $comma.'{title:"'.str_replace("VTEMAND", "&",str_replace("VTEMCOMMA", "'",$vtname)).'", mp3:"'.str_replace("VTEMAND", "&",str_replace("VTEMCOMMA", "'",$vtlink)).'", artist:"'.str_replace("VTEMAND", "&",str_replace("VTEMCOMMA", "'",$vtartist)).'"}';
		 endfor;
		 ?>
	], {
	    playlistOptions: {
		    autoPlay: <?php echo $autoplay;?>,
			defaultItem: <?php echo $defaultitem -1;?>,
			byText:"-"
		},
		swfPath: "js/",
		supplied: "mp3, m4a",
		muted:<?php echo $muted;?>,
		volume: <?php echo $volume;?>,
		loop: <?php echo $loop;?>
	});
});
</script>
<style type="text/css">
<?php if($width < 155){$width = 155;}?>
#vtemmp3_container_<?php echo $mp3ID;?>.vtem-audio{width:<?php echo $width;?>px;}
<?php if($height == 0){echo '#vtemmpl3list'.$mp3ID.'{height:auto;}';
}else{?>
#vtemmpl3list<?php echo $mp3ID;?>{height:<?php echo $height;?>px; overflow:auto; overflow-x:hidden;}
<?php }
echo $css;?>
<?php if($list == 0){echo "#vtemmpl3list".$mp3ID."{display:none !important;}";}?>
</style>
</head>
<body>
<div class="vtemmp3_wapper vtmp3_<?php echo $style;?>">
 <div id="vtemmp3_<?php echo $mp3ID;?>" class="vtem-jplayer"></div>
  <div id="vtemmp3_container_<?php echo $mp3ID;?>" class="vtem-audio">
    <div class="vtem-type-playlist">
      <div id="vtem_interface_<?php echo $mp3ID;?>" class="vtem-interface">
        <ul class="vtem-controls">
		  <li><a href="javascript:;" class="jp-previous vtem-previous" tabindex="1">previous</a></li>
          <li><a href="javascript:;" class="jp-play vtem-play" tabindex="1">play</a></li>
          <li><a href="javascript:;" class="jp-pause vtem-pause" tabindex="1">pause</a></li>
		  <li><a href="javascript:;" class="jp-next vtem-next" tabindex="1">next</a></li>
          <li><a href="javascript:;" class="jp-mute vtem-mute" tabindex="1">mute</a></li>
          <li><a href="javascript:;" class="jp-unmute vtem-unmute" tabindex="1">unmute</a></li>
        </ul>
		<div class="jp-volume-bar vtem-volume-bar">
          <div class="jp-volume-bar-value vtem-volume-bar-value"></div>
        </div>
        <div class="jp-progress vtem-progress">
                <div class="jp-seek-bar vtem-seek-bar">
                    <div class="jp-play-bar vtem-play-bar"></div>
                </div>
        </div>
		<div class="jp-time-holder">
          <div class="jp-current-time vtem-current-time"></div>
          <div class="jp-duration vtem-duration"></div>
		</div>
      </div>
	  <div id="vtemmpl3list<?php echo $mp3ID;?>" class="vtem-playlist jp-playlist">
		     <ul><li>Show list</li></ul>
      </div>
  </div>
 </div>
</div>
</body>
</html>