<?php
/*------------------------------------------------------------------------
# mod_vtem_mp3 - VTEM MP3 Module
# ------------------------------------------------------------------------
# author Nguyen Van Tuyen
# copyright Copyright (C) 2010 VTEM.NET. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vtem.net
# Technical Support: Forum - http://vtem.net/en/forum.html
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); 
$comma = $semicolon = $mp3name = $mp3link = $artist ="";
?>
<script type="text/javascript" src="<?php echo JURI::root();?>modules/mod_vtem_mp3/js/jquery.jplayer.min.js"></script>
<script type="text/javascript" src="<?php echo JURI::root();?>modules/mod_vtem_mp3/js/jplayer.playlist.min.js"></script>
<script type="text/javascript">
jQuery(document).ready(function(){
	var vtemplaylist<?php echo $this->config['module_id'];?> = new jPlayerPlaylist({
		jPlayer: "#vtemmp3_<?php echo $this->config['module_id'];?>",
		cssSelectorAncestor: "#vtemmp3_container_<?php echo $this->config['module_id'];?>"
	},[
		<?php 
	    for($i = 0; $i < count($this->mp3_url); $i++) :
			  if($i > 0){$comma =",";$semicolon=";";}
			  echo $comma.'{title:"'.$this->mp3_title[$i].'", mp3:"'.$this->mp3_url[$i].'", artist:"'.$this->mp3_artist[$i].'"}';
			  $mp3name .= str_replace("&", "VTEMAND",str_replace("'", "VTEMCOMMA",str_replace(",", "",$semicolon.$this->mp3_title[$i])));
			  $mp3link .= str_replace("&", "VTEMAND",str_replace("'", "VTEMCOMMA",str_replace(",", "",$semicolon.$this->mp3_url[$i])));
			  $artist .= str_replace("&", "VTEMAND",str_replace("'", "VTEMCOMMA",str_replace(",", "",$semicolon.$this->mp3_artist[$i])));
		 endfor;
		 ?>
	], {
	    playlistOptions: {
		    autoPlay: <?php echo $this->config['autoplay'];?>,
			defaultItem: <?php echo $this->config['defaultitem'] -1;?>,
			byText:"-"
		},
		swfPath: "<?php echo JURI::root();?>modules/mod_vtem_mp3/js/",
		supplied: "mp3, m4a",
		muted:<?php echo $this->config['mute'];?>,
		volume: <?php echo $this->config['volume'];?>,
		loop: <?php echo $this->config['loop'];?>
	});
});
</script>
<div class="vtemmp3_wapper vtmp3_<?php echo $this->config['modstyle'];?> vtemmp3<?php echo $this->config['moduleclass_sfx'];?>" style="width:<?php echo $this->config['width'];?>;">
	<?php if($this->config['modlayout'] == 2){?>
	<div id="vtemmp3_<?php echo $this->config['module_id'];?>" class="vtem-jplayer"></div>
	<div id="vtemmp3_container_<?php echo $this->config['module_id'];?>" class="vtem-audio">
		<div class="vtem-type-playlist">
		  <div id="vtem_interface_<?php echo $this->config['module_id'];?>" class="vtem-interface">
			<ul class="vtem-controls">
			  <li><a href="javascript:;" class="jp-previous vtem-previous" tabindex="1">previous</a></li>
			  <li><a href="javascript:;" class="jp-play vtem-play" tabindex="1">play</a></li>
			  <li><a href="javascript:;" class="jp-pause vtem-pause" tabindex="1">pause</a></li>
			  <li><a href="javascript:;" class="jp-next vtem-next" tabindex="1">next</a></li>
			  <li><a href="javascript:;" class="jp-mute vtem-mute" tabindex="1">mute</a></li>
			  <li><a href="javascript:;" class="jp-unmute vtem-unmute" tabindex="1">unmute</a></li>
			</ul>
			<div class="jp-volume-bar vtem-volume-bar">
			  <div class="jp-volume-bar-value vtem-volume-bar-value"></div>
			</div>
			<div class="jp-progress vtem-progress">
					<div class="jp-seek-bar vtem-seek-bar">
						<div class="jp-play-bar vtem-play-bar"></div>
					</div>
			</div>
			<div class="jp-time-holder">
			  <div class="jp-current-time vtem-current-time"></div>
			  <div class="jp-duration vtem-duration"></div>
			</div>
		  </div>
		  <div id="vtemmpl3list<?php echo $this->config['module_id'];?>" class="vtem-playlist jp-playlist">
				 <ul><li>Show list</li></ul>
		  </div>
	  </div>
	</div>
	<div class="vtem-audio vtem-popup">
	<a href="#" onClick="window.open('<?php echo JURI::root();?>modules/mod_vtem_mp3/popup.php?mp3ID=<?php echo $this->config['module_id'];?>&amp;style=<?php echo $this->config['modstyle'];?>&amp;width=<?php echo $this->config['width'];?>&amp;height=<?php echo $this->config['height'];?>&amp;list=<?php echo $this->config['mp3list'];?>&amp;autoplay=<?php echo $this->config['autoplay'];?>&amp;muted=<?php echo $this->config['mute'];?>&amp;loop=<?php echo $this->config['loop'];?>&amp;volume=<?php echo $this->config['volume'];?>&amp;css=<?php echo $this->config['css'];?>&amp;defaultitem=<?php echo $this->config['defaultitem'];?>&amp;mp3name=<?php echo $mp3name;?>&amp;mp3link=<?php echo $mp3link;?>&amp;artist=<?php echo $artist;?>','','toolbar=no,location=no,directories=no,status=no, menubar=no,scrollbars=no,resizable=no,width=<?php echo $this->config['width']+36;?>,height=300'); return false;" title="VTEM MP3 Player<?php echo $this->config['module_id'];?>"><span><?php echo JText::_('MOD_VTEM_MP3_POPUP');?></span></a>
	</div>
	<?php }elseif($this->config['modlayout'] == 1){?>
	<div class="vtem-audio vtem-popup">
	<a href="#" onClick="window.open('<?php echo JURI::root();?>modules/mod_vtem_mp3/popup.php?mp3ID=<?php echo $this->config['module_id'];?>&amp;style=<?php echo $this->config['modstyle'];?>&amp;width=<?php echo $this->config['width'];?>&amp;height=<?php echo $this->config['height'];?>&amp;list=<?php echo $this->config['mp3list'];?>&amp;autoplay=<?php echo $this->config['autoplay'];?>&amp;muted=<?php echo $this->config['mute'];?>&amp;loop=<?php echo $this->config['loop'];?>&amp;volume=<?php echo $this->config['volume'];?>&amp;css=<?php echo $this->config['css'];?>&amp;defaultitem=<?php echo $this->config['defaultitem'];?>&amp;mp3name=<?php echo $mp3name;?>&amp;mp3link=<?php echo $mp3link;?>&amp;artist=<?php echo $artist;?>','','toolbar=no,location=no,directories=no,status=no, menubar=no,scrollbars=no,resizable=no,width=<?php echo $this->config['width']+36;?>,height=300'); return false;" title="VTEM MP3 Player<?php echo $this->config['module_id'];?>"><span><?php echo JText::_('MOD_VTEM_MP3_POPUP');?></span></a>
	</div>
	<?php }else{?>
	<div id="vtemmp3_<?php echo $this->config['module_id'];?>" class="vtem-jplayer"></div>
	<div id="vtemmp3_container_<?php echo $this->config['module_id'];?>" class="vtem-audio">
		<div class="vtem-type-playlist">
		  <div id="vtem_interface_<?php echo $this->config['module_id'];?>" class="vtem-interface">
			<ul class="vtem-controls">
			  <li><a href="javascript:;" class="jp-previous vtem-previous" tabindex="1">previous</a></li>
			  <li><a href="javascript:;" class="jp-play vtem-play" tabindex="1">play</a></li>
			  <li><a href="javascript:;" class="jp-pause vtem-pause" tabindex="1">pause</a></li>
			  <li><a href="javascript:;" class="jp-next vtem-next" tabindex="1">next</a></li>
			  <li><a href="javascript:;" class="jp-mute vtem-mute" tabindex="1">mute</a></li>
			  <li><a href="javascript:;" class="jp-unmute vtem-unmute" tabindex="1">unmute</a></li>
			</ul>
			<div class="jp-volume-bar vtem-volume-bar">
			  <div class="jp-volume-bar-value vtem-volume-bar-value"></div>
			</div>
			<div class="jp-progress vtem-progress">
					<div class="jp-seek-bar vtem-seek-bar">
						<div class="jp-play-bar vtem-play-bar"></div>
					</div>
			</div>
			<div class="jp-time-holder">
			  <div class="jp-current-time vtem-current-time"></div>
			  <div class="jp-duration vtem-duration"></div>
			</div>
		  </div>
		  <div id="vtemmpl3list<?php echo $this->config['module_id'];?>" class="vtem-playlist jp-playlist">
				 <ul><li>Show list</li></ul>
		  </div>
	  </div>
	</div>
	<?php }?>
</div>