<?php
/*------------------------------------------------------------------------
# mod_vtem_mp3 - VTEM MP3 Module
# ------------------------------------------------------------------------
# author Nguyen Van Tuyen
# copyright Copyright (C) 2010 VTEM.NET. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vtem.net
# Technical Support: Forum - http://vtem.net/en/forum.html
-------------------------------------------------------------------------*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); 
$comma = $semicolon ="";
?>
<script type="text/javascript" src="<?php echo JURI::root();?>modules/mod_vtem_mp3/js/jquery.jplayer.min.js"></script>
<script type="text/javascript" src="<?php echo JURI::root();?>modules/mod_vtem_mp3/js/jplayer.playlist.min.js"></script>
<script type="text/javascript">
jQuery(document).ready(function(){
	var vtemplaylist<?php echo $this->config['module_id'];?> = new jPlayerPlaylist({
		jPlayer: "#vtemmp3_<?php echo $this->config['module_id'];?>",
		cssSelectorAncestor: "#vtemmp3_container_<?php echo $this->config['module_id'];?>"
	},[
		<?php 
	     foreach($this->config['dmp3'] as $key => $mp3):
		 	  $mp3names = explode(";", $this->config['mp3name']);
			  $mp3name = (isset($mp3names[$key])) ? $mp3names[$key] : '';
			  $mp3artists = explode(";", $this->config['mp3artist']);
			  $mp3artist = (isset($mp3artists[$key])) ? $mp3artists[$key] : '';
			  if($key > 0){$comma =",";$semicolon=";";}
			  echo $comma.'{title:"'.($this->config['mp3name'] ? $mp3name : str_replace('.mp3','',$mp3)).'", mp3:"'.JURI::root().$this->config['mp3Path'].$mp3.'", artist:"'.($this->config['mp3artist'] ? $mp3artist : 'Artist-'.($key+1)).'"}';
		 endforeach;
		 ?>
	], {
	    playlistOptions: {
		    autoPlay: <?php echo $this->config['autoplay'];?>,
			defaultItem: <?php echo $this->config['defaultitem'] -1;?>,
			byText:"-"
		},
		swfPath: "<?php echo JURI::root();?>modules/mod_vtem_mp3/js/",
		supplied: "mp3, m4a",
		muted:<?php echo $this->config['mute'];?>,
		volume: <?php echo $this->config['volume'];?>,
		loop: <?php echo $this->config['loop'];?>
	});
});
</script>
<div class="vtemmp3_wapper vtmp3_<?php echo $this->config['modstyle'];?> vtemmp3<?php echo $this->config['moduleclass_sfx'];?>" style="width:<?php echo $this->config['width'];?>;">
	<div id="vtemmp3_<?php echo $this->config['module_id'];?>" class="vtem-jplayer"></div>
	<div id="vtemmp3_container_<?php echo $this->config['module_id'];?>" class="vtem-audio">
		<div class="vtem-type-playlist">
		  <div id="vtem_interface_<?php echo $this->config['module_id'];?>" class="vtem-interface">
			<ul class="vtem-controls">
			  <li><a href="javascript:;" class="jp-previous vtem-previous" tabindex="1">previous</a></li>
			  <li><a href="javascript:;" class="jp-play vtem-play" tabindex="1">play</a></li>
			  <li><a href="javascript:;" class="jp-pause vtem-pause" tabindex="1">pause</a></li>
			  <li><a href="javascript:;" class="jp-next vtem-next" tabindex="1">next</a></li>
			  <li><a href="javascript:;" class="jp-mute vtem-mute" tabindex="1">mute</a></li>
			  <li><a href="javascript:;" class="jp-unmute vtem-unmute" tabindex="1">unmute</a></li>
			</ul>
			<div class="jp-volume-bar vtem-volume-bar">
			  <div class="jp-volume-bar-value vtem-volume-bar-value"></div>
			</div>
			<div class="jp-progress vtem-progress">
					<div class="jp-seek-bar vtem-seek-bar">
						<div class="jp-play-bar vtem-play-bar"></div>
					</div>
			</div>
			<div class="jp-time-holder">
			  <div class="jp-current-time vtem-current-time"></div>
			  <div class="jp-duration vtem-duration"></div>
			</div>
		  </div>
		  <div id="vtemmpl3list<?php echo $this->config['module_id'];?>" class="vtem-playlist jp-playlist">
				 <ul><li>Show list</li></ul>
		  </div>
	  </div>
	</div>
</div>